{
  "schema_version": "1.4.0",
  "id": "GHSA-grwx-x87w-vjjp",
  "modified": "2022-05-01T17:56:53Z",
  "published": "2022-05-01T17:56:53Z",
  "aliases": [
    "CVE-2007-1777"
  ],
  "details": "Integer overflow in the zip_read_entry function in PHP 4 before 4.4.5 allows remote attackers to execute arbitrary code via a ZIP archive that contains an entry with a length value of 0xffffffff, which is incremented before use in an emalloc call, triggering a heap overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-1777"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/33652"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25025"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25062"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2007/dsa-1282"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2007/dsa-1283"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2008:130"
    },
    {
      "type": "WEB",
      "url": "http://www.php-security.org/MOPB/MOPB-35-2007.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/23169"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-03-30T01:19:00Z"
  }
}